## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iVosA3DL Struct Reference

This is the initial component you retrieve from the registry to access the VOS A3DL plugin. More...

`#include <inetwork/vosa3dl.h>`

Inheritance diagram for iVosA3DL:

[legend]
List of all members.

## Public Member Functions

virtual csRef< iVosObject3D > | FindVosObject3D (const char *url)=0
| Takes a URL path for an A3DL::Object3D Vobject and returns the iVosObject3D interface (suitable for fetching the mesh wrapper).
virtual csRef< iVosSector > | GetSector (const char *url)=0
| Get a VOS sector given a VOS URL (such as "vip://interreality.org/world") for a sector object.

## Detailed Description

This is the initial component you retrieve from the registry to access the VOS A3DL plugin.

Here's how to get it:

     csInitializer::RequestPlugins (object_reg,
       ...
       CS_REQUEST_PLUGIN("crystalspace.network.vos.a3dl", iVosA3DL),
       ...
       CS_REQUEST_END)

      ...

     csRef<iVosA3DL> vosa3dl = CS_QUERY_REGISTRY (object_reg, iVosA3DL);

Definition at line 130 of file vosa3dl.h.

## Member Function Documentation

virtual csRef<iVosObject3D> iVosA3DL::FindVosObject3D | ( | const char * | url | ) | `[pure virtual]`

Takes a URL path for an A3DL::Object3D Vobject and returns the iVosObject3D interface (suitable for fetching the mesh wrapper).

As of this writing, it does not load the object into the engine, it must be loaded by loading the sector it is in.

Parameters:

  | url | the url path to the object to fetch

Returns:
  the iVosObject3D wrapper

virtual csRef<iVosSector> iVosA3DL::GetSector | ( | const char * | url | ) | `[pure virtual]`

Get a VOS sector given a VOS URL (such as "vip://interreality.org/world") for a sector object.

Doesn't load it (call iVosSector::Load() to do that).

Parameters:

  | url | the VOS url to the sector object

Returns:
  the iVosSector wrapper

Bug:
  no way (yet) to specify specific failure in accessing sector (just returns an empty csRef)

The documentation for this struct was generated from the following file:

- inetwork/vosa3dl.h